%global momorel 2

ExcludeArch: s390 s390x

%define cvs_snapshot 0
%global hal_version		0.5.5.1
%global dbus_version	0.61
%global gtk+_version	2.6.0
%global wireless_tools_version 28-0pre9
%global bind_version 9.3.1

%if %{cvs_snapshot}
%define nm_cvs_version	.cvs20060302
%endif

Name: NetworkManager
Summary: Network connection manager and user applications
Version: 0.6.0
Release: %{momorel}m
Group: System Environment/Base
License: GPL
URL: http://www.gnome.org/projects/NetworkManager/
Source: %{name}-%{version}%{?nm_cvs_version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Patch0: special-case-madwifi.patch
Patch1: no-wpa-no-scan1.patch
Patch2: NetworkManager-0.6.0-device-up.patch

PreReq:   chkconfig
Requires: wireless-tools >= %{wireless_tools_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}
Requires: hal >= %{hal_version}
Requires: iproute openssl
Requires: dhcdbd
Requires: dhclient >= 3.0.2-12
Requires: bind >= %{bind_version}
Requires: wpa_supplicant

BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: wireless-tools >= %{wireless_tools_version}
BuildRequires: glib-devel gtk+-devel
BuildRequires: libglade-devel
BuildRequires: openssl-devel
BuildRequires: GConf-devel
BuildRequires: gnome-panel-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: dhcdbd
BuildRequires: wpa_supplicant
BuildRequires: libnl-devel
BuildRequires: libnotify-devel >= 0.3

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is _intended_ to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.


%package gnome
Summary: GNOME applications for use with NetworkManager
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Requires: gnome-panel
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}
Requires: hal >= %{hal_version}
Requires: libnotify >= 0.3
PreReq:  gtk+ >= %{gtk+_version}

%description gnome
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.


%package devel
Summary: Libraries and headers for adding NetworkManager support to applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}

%description devel
This package contains various headers accessing some NetworkManager functionality
from applications.


%package glib
Summary: Libraries for adding NetworkManager support to applications that use glib.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}

%description glib
This package contains the libraries that make it easier to use some NetworkManager
functionality from applications that use glib.


%package glib-devel
Summary: Header files for adding NetworkManager support to applications that use glib.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-glib = %{version}-%{release}
Requires: glib-devel

%description glib-devel
This package contains the header and pkg-config files for development applications using
NetworkManager functionality from applications that use glib.


%prep
%setup -q
%patch0 -p0 -b .madwifi
%patch1 -p0 -b .no-wpa-no-scan1
%patch2 -p1 -b .device-up

%build
%configure --with-named=/usr/sbin/named --with-named-dir=/var/named/data --with-named-user=named --enable-notify=yes
make


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
%{__rm} -f %{buildroot}%{_bindir}/NMLoadModules
%{__rm} -f %{buildroot}%{_libdir}/libnm_glib.la
%{__rm} -f %{buildroot}%{_libdir}/libnm_glib.a
%{__rm} -f %{buildroot}%{_libdir}/libnm-util.la
%{__rm} -f %{buildroot}%{_libdir}/libnm-util.a
%{__cp} test/nm-tool %{buildroot}%{_bindir}/

%clean
%{__rm} -rf %{buildroot}


%post
if [ "$1" == "1" ]; then
	/sbin/chkconfig --add NetworkManager
	/sbin/chkconfig --add NetworkManagerDispatcher
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service NetworkManager stop >/dev/null 2>&1
    /sbin/chkconfig --del NetworkManager

    /sbin/service NetworkManagerDispatcher stop >/dev/null 2>&1
    /sbin/chkconfig --del NetworkManagerDispatcher
fi

%post gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING TODO
%config %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%config %{_sysconfdir}/rc.d/init.d/%{name}
%config %{_sysconfdir}/rc.d/init.d/%{name}Dispatcher
%{_sbindir}/%{name}
%{_sbindir}/NetworkManagerDispatcher
%dir %{_sysconfdir}/NetworkManager/
%{_bindir}/nm-tool
%{_libdir}/libnm-util.so*
%{_mandir}/man1/NetworkManager.1.*
%{_mandir}/man1/NetworkManagerDispatcher.1.*
%{_mandir}/man1/nm-tool.1.*
%dir %{_localstatedir}/run/%{name}
%{_prefix}/libexec/nm-crash-logger
%{_datadir}/NetworkManager/gdb-cmd

%files gnome
%defattr(-,root,root,0755)
%config %{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%{_bindir}/nm-applet
%{_bindir}/nm-vpn-properties
%{_datadir}/gnome-vpn-properties/nm-vpn-properties.glade
%{_datadir}/nm-applet/
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/gnome/autostart/nm-applet.desktop

%files devel
%defattr(-,root,root,0755)
%{_includedir}/%{name}/NetworkManager*.h
%{_includedir}/%{name}/cipher*.h
%{_includedir}/%{name}/dbus*.h
%{_includedir}/%{name}/nm-vpn-ui-interface.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/libnm-util.pc

%files glib
%defattr(-,root,root,0755)
%{_libdir}/libnm_glib.so.*

%files glib-devel
%{_includedir}/%{name}/libnm_glib.h
%{_libdir}/pkgconfig/libnm_glib.pc
%{_libdir}/libnm_glib.so

%changelog
* Mon May 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-2m)
- revise %%file (conflict)

* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.0-1m)
- version up
- based on fc-devel

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.3.3-0.20050119.6m)
- rebuild against dbus-0.61

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.3-0.20050119.5m)
- rebuild against openssl-0.9.8a

* Sun Jan  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-0.20050119.4m)
- BuildPreReq: libgcrypt-devel >= 1.2.2-2m

* Sat Dec 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.3-0.20050119.3m)
- add Patch0

* Sun Oct 30 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.3-0.20050119.2m)
- rebuild against dbus-0.50
- add Patch0 to follow definition changes in dbus-0.50

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.3.3-0.20050119.1m)
- sync with FC3 updates (0.3.3-1.cvs20050119.2.fc3).

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.3.1-1m)
- import from FC3.

* Fri Oct 29 2004 <dcbw@redhat.com> - 0.3.1-3
- #rh137047# lots of applets, yay!

* Tue Oct 26 2004 <dcbw@redhat.com> - 0.3.1-2
- Fix escaping of ESSIDs in gconf

* Tue Oct 19 2004  <jrb@redhat.com> - 0.3.1-1
- minor point release to improve error handling and translations

* Fri Oct 15 2004 Dan Williams <dcbw@redhat.com> 0.3-1
- Update from CVS, version 0.3

* Tue Oct 12 2004 Dan Williams <dcbw@redhat.com> 0.2-4
- Update from CVS
- Improvements:
	o Better link checking on wireless cards
	o Panel applet now a Notification Area icon
	o Static IP configuration support

* Mon Sep 13 2004 Dan Williams <dcbw@redhat.com> 0.2-3
- Update from CVS

* Sat Sep 11 2004 Dan Williams <dcbw@redhat.com> 0.2-2
- Require gnome-panel, not gnome-panel-devel
- Turn off by default

* Thu Aug 26 2004 Dan Williams <dcbw@redhat.com> 0.2-1
- Update to 0.2

* Thu Aug 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- spec-changes to req glib2 instead of glib

* Fri Aug 20 2004 Dan Williams <dcbw@redhat.com> 0.1-3
- First public release

